curl --request POST \
--url https://api.shuyou.ai/v1/predictions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "happyhorse-1.0-i2v",
"input": {
"prompt": "The subject slowly turns toward the camera with natural motion"
}
}
'{
"data": {
"task_id": "2c4d50261173430290971a2395a3b607",
"task_status": "processing"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}HappyHorse
HappyHorse 1.0 I2V
Create asynchronous image-to-video tasks with happyhorse-1.0-i2v via POST /v1/predictions.
POST
/
v1
/
predictions
curl --request POST \
--url https://api.shuyou.ai/v1/predictions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "happyhorse-1.0-i2v",
"input": {
"prompt": "The subject slowly turns toward the camera with natural motion"
}
}
'{
"data": {
"task_id": "2c4d50261173430290971a2395a3b607",
"task_status": "processing"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}Authorizations
Authorization: Bearer YOUR_API_KEY
Body
application/json
Model ID. Use happyhorse-1.0-i2v for this endpoint.
Available options:
happyhorse-1.0-i2v Example:
"happyhorse-1.0-i2v"
Show child attributes
Show child attributes
Optional HTTPS callback URL when the task completes, fails, or is cancelled (Predictions API).
Response
Async task created
Show child attributes
Show child attributes